org.eclipse.emf.cdo.view

## Interface CDOViewInvalidationEvent

- All Superinterfaces:
    CDOTimeProvider, CDOViewEvent, IEvent

      public interface CDOViewInvalidationEvent
      extends CDOViewEvent, CDOTimeProvider

  A `view event` fired when passive updates (commit notifications) are being received from a remote repository. `Passive updates` must be enabled for this event to be fired.
  Since:
    2.0
  Author:
    Simon McDuff
  See Also:
    `CDOSessionInvalidationEvent`, `CDOInvalidationNotification`, `CDOAdapterPolicy`
  No Implement
    This interface is not intended to be implemented by clients.
  No Extend
    This interface is not intended to be extended by clients.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.util.Set<CDOObject>` | `getDetachedObjects()` Returns a set of the `CDOObjects` of the removed objects.
    `java.util.Set<CDOObject>` | `getDirtyObjects()` Returns a set of the `CDOObjects` of the modified objects.
    `java.util.Map<CDOObject,CDORevisionDelta>` | `getRevisionDeltas()` Returns a map with the `change deltas` per object.
    `long` | `getTimeStamp()` Returns the time stamp of the server transaction if this event was sent as a result of a successfully committed transaction or `LOCAL_ROLLBACK` if this event was sent due to a local rollback.

    - ### Methods inherited from interface org.eclipse.emf.cdo.view.CDOViewEvent

      `getSource`

- - ### Method Detail

    - #### getTimeStamp

          long getTimeStamp()

      Returns the time stamp of the server transaction if this event was sent as a result of a successfully committed transaction or `LOCAL_ROLLBACK` if this event was sent due to a local rollback.
      Specified by:
        `getTimeStamp` in interface `CDOTimeProvider`

    - #### getDirtyObjects

          java.util.Set<CDOObject> getDirtyObjects()

      Returns a set of the `CDOObjects` of the modified objects.

    - #### getRevisionDeltas

          java.util.Map<CDOObject,CDORevisionDelta> getRevisionDeltas()

      Returns a map with the `change deltas` per object. Note that this map may contain object/ `null` mappings, if the delta is not available!
      Since:
        4.0

    - #### getDetachedObjects

          java.util.Set<CDOObject> getDetachedObjects()

      Returns a set of the `CDOObjects` of the removed objects.

Copyright (c) 2014 Eike Stepper (Berlin, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html